/*
*   \file
*   \remarks TTop level view rights APIs (DRM Core) Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Top level view rights APIs (DRM Core)
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef VIEWRIGHTS_TST_API_H
#define VIEWRIGHTS_TST_API_H

DRM_RESULT VR_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT VR_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT TestAddLicense(long argc, char **argv);
DRM_RESULT TestIsAllowed(long argc, char **argv);
DRM_RESULT TestGetLicenseAggregateData(long argc, char **argv);
DRM_RESULT TestVerifyStateData(long argc, char **argv);

#endif

